import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import swing.addon.plaf.themelf.*;

public class B2K_slider implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("textColor"));
		g.drawRect(1,1,w-3,h-3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(2,0,w-3,0);
		g.drawLine(w-2,1,w-2,1);
		g.drawLine(0,2,0,h-3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(1,h-2,1,h-2);
		g.drawLine(2,h-1,w-3,h-1);
		g.drawLine(w-2,h-2,w-2,h-2);
		g.drawLine(w-1,h-3,w-1,2);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,2);
	}

}
