import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import swing.addon.plaf.themelf.*;

public class B2K_scroller implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawRect(0,0,w-1,h-1);
		g.setColor(ThemeLF_Prefs.getDefaultColor("shadeColor"));
		g.drawLine(2,h-2,w-2,h-2);
		g.drawLine(w-2,h-3,w-2,2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(1,1,w-2,1);
		g.drawLine(1,1,1,h-2);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,2);
	}

}
